require_relative '../../lib/datafiniti'
# require 'rspec/expectations'

When(/^I query for something that produces no results$/) do
  @results = Datafiniti::Products.new(query: "name: pk123kgkgj4")
end

Then(/^the total for the results should be (\d+)$/) do |arg1|
  # @results.total.should == 0
  puts "total: #{@results.total}"
  assert @results.total == 0
end

When(/^I query a product for "(.+)"/) do |search_term|
  @query = Datafiniti::Locations.new(query: "name:#{search_term}")
end

Then(/^the ampsersand should be escaped$/) do
  puts @query
end
