# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'datafiniti/version'

Gem::Specification.new do |spec|
  spec.name          = "datafiniti"
  spec.version       = Datafiniti::VERSION
  spec.authors       = ["Nick Prokesch"]
  spec.email         = ["nick@datafiniti.net"]
  spec.summary       = %q{A ruby wrapper for the Datafiniti API}
  spec.description   = %q{Allows users to interface with Datafiniti API to retrieve location and product records}
  spec.homepage      = "http://www.datafiniti.net"
  spec.license       = "MIT"

  spec.files         = `git ls-files`.split($/)
  spec.require_paths    = ["lib"]

  spec.add_development_dependency "webmock", "~> 1.18"
  spec.add_development_dependency  "vcr", "~> 2.9"
  spec.add_dependency "dotenv", "~> 0.11"
  spec.add_dependency "faraday", "~> 0.9"
  spec.add_dependency "httparty", "~> 0.13"
  spec.add_dependency "solr_query", "~> 1.0"
end
